Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Continuous_Priority_Mapping Class Reference

Maps the first n CORBA priorities to the range of native priorities, where n is the number of native priorities. More...

`#include <Continuous_Priority_Mapping.h>`

Inheritance diagram for TAO_Continuous_Priority_Mapping

[legend]
Collaboration diagram for TAO_Continuous_Priority_Mapping:

[legend]
List of all members.

## Public Methods
| TAO_Continuous_Priority_Mapping (int policy = ACE_SCHED_OTHER)
| Constructor.
| ~TAO_Continuous_Priority_Mapping (void)
| Destructor.
CORBA::Boolean | to_native (RTCORBA::Priority corba_priority, RTCORBA::NativePriority &native_priority)
| Convert CORBA priority to native priority.
CORBA::Boolean | to_CORBA (RTCORBA::NativePriority native_priority, RTCORBA::Priority &corba_priority)
| Convert native priority to CORBA priority.
## Private Attributes
int | policy_
int | min_
int | max_

## Detailed Description

Maps the first n CORBA priorities to the range of native priorities, where n is the number of native priorities.

The lowest native priority is mapped to CORBA priority 0, next higher native priority is mapped to CORBA priority 1, and so on. Since in all the operating systems where TAO is supported the native priority set contains less than 32767 priorities, part of the CORBA priority range is left unused. Consider NT as an example. NT native priorities -15 -2 -1 0 1 2 15 are mapped to CORBA priorities 0 1 2 3 4 5 6, respectively, and the rest of the CORBA priority range is not used.

This class was previously called Direct_Priority_Mapping.

## Constructor & Destructor Documentation

TAO_Continuous_Priority_Mapping::TAO_Continuous_Priority_Mapping ( | int policy = ACE_SCHED_OTHER )`[inline]`

| Constructor.

TAO_Continuous_Priority_Mapping::~TAO_Continuous_Priority_Mapping ( | void )

| Destructor.

## Member Function Documentation

CORBA::Boolean TAO_Continuous_Priority_Mapping::to_CORBA ( | RTCORBA::NativePriority native_priority,
| RTCORBA::Priority & corba_priority )`[virtual]`

| Convert native priority to CORBA priority. Reimplemented from TAO_Priority_Mapping.

CORBA::Boolean TAO_Continuous_Priority_Mapping::to_native ( | RTCORBA::Priority corba_priority,
| RTCORBA::NativePriority & native_priority )`[virtual]`

| Convert CORBA priority to native priority. Reimplemented from TAO_Priority_Mapping.

## Member Data Documentation

int TAO_Continuous_Priority_Mapping::max_`[private]`

int TAO_Continuous_Priority_Mapping::min_`[private]`

int TAO_Continuous_Priority_Mapping::policy_`[private]`

The documentation for this class was generated from the following files:

- Continuous_Priority_Mapping.h
- Continuous_Priority_Mapping.cpp